For the complete documentation index, see llms.txt. This page is also available as Markdown.

Group Filter

Get

get

Retrieve the group filters from the Theme

Path parameters
idinteger · int32Required

Theme ID.

Responses
200

Success

application/json; api-version=1.0

RAS Group Filter

namestring · nullableOptional

The group name

sidstring · nullableOptional

The group SID

get/api/Theme/{id}/GroupFilter
GET /api/Theme/{id}/GroupFilter HTTP/1.1
Accept: */*
[
  {
    "name": "text",
    "sid": "text"
  }
]

Add

post

Add the specified group filter to the Theme.

Path parameters
idinteger · int32Required

Theme ID

Body

Add a group filter in the RAS Theme

groupNamestring · min: 1 · max: 255 · nullableOptional

The name of the group list

groupSIDstring · min: 1 · max: 255 · nullableOptional

The group SID

Responses
204

No Content

No content

post/api/Theme/{id}/GroupFilter
POST /api/Theme/{id}/GroupFilter HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 38

{
  "groupName": "text",
  "groupSID": "text"
}

No content

Delete

delete

Remove the specified group filter from the Theme

Path parameters
idinteger · int32Required

Theme ID

Body

Add a group filter in the RAS Theme

groupNamestring · min: 1 · max: 255 · nullableOptional

The name of the group list

groupSIDstring · min: 1 · max: 255 · nullableOptional

The group SID

Responses
204

No Content

No content

delete/api/Theme/{id}/GroupFilter
DELETE /api/Theme/{id}/GroupFilter HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 38

{
  "groupName": "text",
  "groupSID": "text"
}

No content